#NONAMEFORCOMMIT
%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define		original_name	paramiko

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		python%{PVER}-%{original_name}
Version:	1.7.5
Release:	2
Summary:	A SSH2 protocol library for python
Group:		Development/Libraries
License:	GNU/LGPL
URL:		http://www.lag.net/%{original_name}/
Source0:	http://www.lag.net/%{original_name}/download/%{original_name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	python%{PVER}
Requires:	python%{PVER}-pycrypto
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
Provides:	python-paramiko = %{version}-%{release}
Obsoletes:	python-paramiko <= %{version}-%{release}
Obsoletes:	python25-paramiko <= %{version}-%{release}

%description
Paramiko (a combination of the esperanto words for "paranoid" and "friend") is
a module for python 2.3 or greater that implements the SSH2 protocol for secure
(encrypted and authenticated) connections to remote machines. Unlike SSL (aka
TLS), the SSH2 protocol does not require heirarchical certificates signed by a
powerful central authority. You may know SSH2 as the protocol that replaced
telnet and rsh for secure access to remote shells, but the protocol also
includes the ability to open arbitrary channels to remote services across an
encrypted tunnel. (This is how sftp works, for example.)

%prep
%setup -q -n %{original_name}-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" "{}" \; \)
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
done

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
# Don' remove *.egg-info dirs!
#rm -Rf $RPM_BUILD_ROOT%{python_sitelib}/*.egg-info

%clean
rm -Rf $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_DIR/%{original_name}*

%files
%defattr(-,root,root,-)
%doc LICENSE PKG-INFO README docs/
%{python_sitelib}

%changelog
* Thu Oct 29 2009 Christian Wasem <wasem@ccux-linux.de> 1.7.5-2
- rebuild against python26-2.6.3-1
* Thu Oct 22 2009 Christian Wasem <wasem@ccux-linux.de> 1.7.5-1
- Verision update, build against python25-2.5.4-3
* Wed Dec 05 2007 Christian Metzen <metzench@ccux-linux.de> 1.7.1-1
- Initial release